/* Microcannonical Ising Model, by an idea of Toffoli, in CAMRexx by THOR */

MakeAlgorithm:
   PLANEALGORITHM neumann hvphases
return

MakePlane:
   lattice=(horz=vert)
   if phase=1 then   lattice=~lattice
   /* handle only even or odd sublattice */
   if lattice then; do
      sum=north+south+east+west
      if sum=2 then  new=~center             /* flip spin if two nbrs. */
      else           new=center              /* else preserve */
      SETPLANE new
   end; else; do;
      SETPLANE center
   end
return

